We make sure everyday that OverBlog remains compatible with all browsers, especially with technologies improving so fast. We recommend that you always use the most recent version of your browser.

  • Internet Explorer : version 8 or above

  • Mozilla Firefox : version 12 or above

  • Google chrome : version 15 or above

Share this blog

Repost 1